# 处理未开始的线索 首保 & 流失预警 & 续保
insert into fw_valhalla.follow_clue(vin, origin_time, plate_no, clue_state, clue_type, start_time, next_time,
                                    pre_record_id, suggest_shop_id, suggest_mobile, end_time, biz_id, close_time,
                                    group_id, create_time, update_time)
SELECT t2.frame_no,
       t1.add_time,
       t2.plate_no,
       1,
       t1.clue_type,
       t1.start_time,
       null,
       null,
       t1.original_shop_id,
       t3.mobile,
       t1.deadline,
       t1.id * -1,
       null,
       t1.group_id,
       now(),
       now()
from fw_valhalla.customer_clue_pool t1
         inner join fw_valhalla.customer t2 on t1.referer_id = t2.id
         inner join fw_valhalla.customer_base_info t3 on t3.id = t2.base_id
where t1.clue_status = 1
  and t1.group_id = 2
  and t1.clue_type in (1, 2, 4)
  and t2.yn = 1
  and t3.yn = 1
;


# 处理进行中的线索 首保 & 流失预警 & 续保
insert into fw_valhalla.follow_clue(vin, origin_time, plate_no, clue_state, clue_type, start_time, next_time,
                                    pre_record_id, suggest_shop_id, suggest_mobile, end_time, biz_id, close_time,
                                    group_id, create_time, update_time)
SELECT t2.frame_no,
       t1.add_time,
       t2.plate_no,
       2,
       t1.clue_type,
       t1.start_time,
       null,
       null,
       t1.original_shop_id,
       t3.mobile,
       t1.deadline,
       t1.id * -1,
       null,
       t1.group_id,
       now(),
       now()
from fw_valhalla.customer_clue_pool t1
         inner join fw_valhalla.customer t2 on t1.referer_id = t2.id
         inner join fw_valhalla.customer_base_info t3 on t3.id = t2.base_id
where t1.clue_status = 2
  and t1.group_id = 2
  and t1.deadline > now()
  and t1.clue_type in (1, 2, 4)
  and t2.yn = 1
  and t3.yn = 1
;


# 处理进行中的线索 -> 跟进任务 【首保 & 流失预警 & 续保】
insert into fw_valhalla.clue_task(clue_id, type, begin_time, redistribution, deadline, state, close_time,
                                  follow_user, follow_user_name, follow_shop, finish_user, finish_user_name,
                                  finish_shop, reason, times, group_id, rpc_success, create_time, update_time)
SELECT t3.id,
       t3.clue_type,
       t1.begin_time,
       t1.redistribution,
       t1.deadline,
       t1.state,
       t1.close_time,
       t1.follow_user,
       t1.follow_user_name,
       t1.follow_shop,
       t1.finish_user,
       t1.finish_user_name,
       t1.finish_shop,
       t1.reason,
       t1.times,
       t1.group_id,
       t1.state != 1,
       now(),
       now()
from fw_valhalla.follow_task t1
         inner join fw_valhalla.customer_clue_pool t2 on t1.clue_id = t2.id
         inner join fw_valhalla.follow_clue t3 on t3.biz_id = (t2.id * -1)
where t2.clue_status = 2
  and t1.group_id = 2
  and t2.clue_type in (1, 2, 4)
;

# 事故车线索 -> 跟进任务
insert into fw_valhalla.clue_task(clue_id, type, begin_time, redistribution, deadline, state, close_time,
                                  follow_user, follow_user_name, follow_shop, finish_user, finish_user_name,
                                  finish_shop, reason, times, group_id, rpc_success, create_time, update_time)
SELECT t3.id,
       t3.clue_type,
       t1.begin_time,
       t1.redistribution,
       t1.deadline,
       t1.state,
       t1.close_time,
       t1.follow_user,
       t1.follow_user_name,
       t1.follow_shop,
       t1.finish_user,
       t1.finish_user_name,
       t1.finish_shop,
       t1.reason,
       t1.times,
       t1.group_id,
       t1.state != 1,
       now(),
       now()
from fw_valhalla.follow_task t1
         inner join fw_valhalla.customer_clue_pool t2 on t1.clue_id = t2.id
         inner join fw_valhalla.follow_clue t3 on t3.biz_id = t2.referer_id
where t2.clue_status = 2
  and t1.group_id = 2
  and t2.clue_type in (3)
;

# 更新下次跟进时间
update fw_valhalla.follow_clue w1 , (SELECT t1.*, t3.id as biz_id
                                     from fw_valhalla.follow_record t1
                                              inner join fw_valhalla.follow_task t2 on t1.task_id = t2.id
                                              inner join fw_valhalla.customer_clue_pool t3 on t3.id = t2.clue_id
                                     where t1.type in (1, 2, 4)
                                       and t3.clue_status = 2) w2
set w1.next_time = w2.plan_time
where plan_time > now()
  and add_todo = 0
  and (w2.biz_id * -1) = w1.biz_id
;
# 更新下次跟进时间
update fw_valhalla.follow_clue
set next_time = DATE_ADD(NOW(), INTERVAL + 3 day)
where next_time is null
  and clue_state = 2
  and clue_type in (1, 2, 4)
  and end_time >= DATE_ADD(NOW(), INTERVAL + 4 day)
;
# 更新下次跟进时间
update fw_valhalla.follow_clue
set next_time = DATE_ADD(end_time, INTERVAL - 2 day)
where next_time is null
  and clue_state = 2
  and clue_type in (1, 2, 4)
  and end_time < DATE_ADD(NOW(), INTERVAL + 4 day)
  and DATE_ADD(end_time, INTERVAL - 2 day) > now()
;

# 作废超时的线索
update fw_valhalla.follow_clue
set clue_state = 4,
    close_time = end_time
where clue_state = 2
  and clue_type in (1, 2, 3, 4)
  and end_time < NOW()
;

# 作废超时的任务
update fw_valhalla.clue_task t1, fw_valhalla.follow_clue t2
set t1.state      = 3,
    t1.close_time = t2.close_time,
    t1.reason     = 3
where t2.clue_state = 4
  and t1.state = 1
  and t1.clue_id = t2.id
;

# 售后crm task -> 跟进系统original_data
insert into fw_shirasawa.original_data (type, biz_type, customer_id, customer_name, member_id, plate_no, frame_no,
                                        contacts, detail_id, note, user_id, user_name, generate_time, deadline,
                                        first_deadline, solved, shop_id, shop_name, group_id, create_time, update_time,
                                        secondary, cover_flag, biz_id)
select type,
       2,
       t3.id,
       t4.name,
       ifnull(t4.member_id, -1),
       t2.plate_no,
       t2.vin,
       t4.mobile,
       t1.id,
       null,
       t1.follow_user,
       t1.follow_user_name,
       t1.begin_time,
       t1.deadline,
       null,
       -5,
       t1.follow_shop,
       null,
       t1.group_id,
       now(),
       now(),
       t1.redistribution,
       0,
       t2.vin
from fw_valhalla.clue_task t1
         inner join fw_valhalla.follow_clue t2 on t1.clue_id = t2.id
         left join fw_valhalla.customer t3 on t2.vin = t3.frame_no and t3.yn = 1
         left join fw_valhalla.customer_base_info t4 on t4.id = t3.base_id and t4.yn = 1
where t1.group_id = 2
  and t1.state = 1
  and t1.type in (1, 2, 4)
;

insert into fw_shirasawa.original_data (type, biz_type, customer_name, member_id, plate_no, frame_no,
                                        contacts, detail_id, note, user_id, user_name, generate_time, deadline,
                                        first_deadline, solved, shop_id, shop_name, group_id, create_time, update_time,
                                        secondary, cover_flag, biz_id)
select type,
       2,
       t3.name,
       -1,
       t3.plate_no,
       t3.frame_no,
       t3.report_mobile,
       t1.id,
       null,
       t1.follow_user,
       t1.follow_user_name,
       t1.begin_time,
       t1.deadline,
       null,
       -5,
       t1.follow_shop,
       null,
       t1.group_id,
       now(),
       now(),
       0,
       0,
       t2.vin
from fw_valhalla.clue_task t1
         inner join fw_valhalla.follow_clue t2 on t1.clue_id = t2.id
         left join fw_valhalla.accident_pool t3 on t2.biz_id = t3.id
where t1.group_id = 2
  and t1.state = 1
  and t1.type in (3)
;


# 生成跟进系统的线索
insert into fw_shirasawa.clue_pool(referer_id, customer_id, customer_name, member_id, note, contacts, frame_no,
                                   plate_no,
                                   clue_type, biz_type, add_time, start_time, deadline, first_deadline,
                                   clue_status,
                                   redistribution, original_user_id, original_user_name, original_shop_id,
                                   original_shop_name,
                                   group_id,
                                   create_time,
                                   update_time, cover_flag, biz_id)
select detail_id,
       customer_id,
       customer_name,
       member_id,
       null,
       contacts,
       frame_no,
       plate_no,
       type,
       biz_type,
       generate_time,
       generate_time,
       DATE_ADD(deadline, INTERVAL - 1 second),
       first_deadline,
       2,
       secondary,
       user_id,
       user_name,
       shop_id,
       shop_name,
       group_id,
       now(),
       now(),
       0,
       frame_no
from fw_shirasawa.original_data
where solved = -5
  and type in (1, 2, 3, 4)
;

# 生成跟进系统的任务
insert into fw_shirasawa.follow_task(clue_id, customer_id, member_id, customer_name, plate_no, type, biz_type,
                                     begin_time, deadline, state, redistribution, follow_user,
                                     follow_user_name, follow_shop, group_id, create_time, update_time, biz_id)
select id,
       customer_id,
       member_id,
       customer_name,
       plate_no,
       clue_type,
       biz_type,
       start_time,
       deadline,
       1,
       redistribution,
       original_user_id,
       original_user_name,
       original_shop_id,
       group_id,
       now(),
       now(),
       frame_no
from fw_shirasawa.clue_pool
where clue_status = 2
  and clue_type in (1, 2, 3, 4)
;

## 数据纠错
select *
from fw_shirasawa.follow_task
where clue_id in (select clue_id
                  from fw_shirasawa.follow_task
                  where state = 1
                    and biz_type = 2
                  group by clue_id
                  having count(1) > 1);


# 生成跟进系统的跟进待办数据
insert into fw_shirasawa.follow_record (task_id, biz_type, type, customer_id, customer_name, member_id, contacts,
                                        user_id, user_name, plan_time, deadline, follow_time, out_time,
                                        group_id, shop_id, secondary, add_todo, todo_code, note, biz_id, plate_no,
                                        compel_tel, yn, create_time, update_time)

select t1.id,
       t1.biz_type,
       t1.type,
       t1.customer_id,
       t1.customer_name,
       t1.member_id,
       t2.contacts,
       t1.follow_user,
       t1.follow_user_name,
       t5.plan_time,
       t5.deadline,
       t5.follow_time,
       IF(t5.out_time = 1, 3, if(t5.follow_time is not null, 2, 0)),
       t1.group_id,
       t1.follow_shop,
       t1.redistribution,
       t5.add_todo,
       if(t1.type = 1, '50rmamxGp7',
          if(t1.type = 2, 'Zb33mjtjVy', if(t1.type = 4, 'RsavIrkhZm', if(t1.type = 3, 'gWPMkrjkjH', '8WMxLm2zT3')))),
       '{}',
       t2.biz_id,
       t2.plate_no,
       0,
       1,
       now(),
       now()
from fw_shirasawa.follow_task t1
         inner join fw_shirasawa.clue_pool t2 on t1.clue_id = t2.id
         inner join fw_valhalla.clue_task t3 on t2.referer_id = t3.id
         inner join (select max(w2.id) recordId, w4.*
                     from fw_valhalla.follow_record w1
                              inner join fw_valhalla.follow_task w2 on w1.task_id = w2.id
                              inner join fw_valhalla.customer_clue_pool w3 on w3.id = w2.clue_id
                              left join fw_valhalla.follow_clue w4 on (w4.biz_id = (w3.id * -1))
                     where w2.state = 1
                       and w3.clue_type in (1, 2, 4)
                     group by w1.task_id) t4 on t4.id = t3.clue_id
         inner join fw_valhalla.follow_record t5 on t5.id = t4.recordId

where t1.biz_type = 2
  and t1.state = 1
  and t2.clue_type in (1, 2, 4)
  and t3.state = 1
;


# 数据纠错
select t1.*
from fw_shirasawa.follow_task t1
         left join fw_shirasawa.follow_record t2 on t1.id = t2.task_id
where t1.biz_type = 2
  and t2.id is null
  and t1.state = 1;