drop table if exists customer_clue_pool;

drop table if exists follow_task;

alter table clue_task
    add version int null after rpc_success;

alter table customer
    add last_arrival_shop bigint null comment '上次进站门店' after arrival_time;

# 续保跟进模式
INSERT INTO fw_valhalla.follow_setting_detail (setting_id, brand_id, type, detail_value, unit, group_id, yn,
                                               create_time, update_time)
VALUES (4, -1, 99, 1, 11, 1, 1, '2023-03-17 16:00:31', '2023-03-17 16:00:32');
INSERT INTO fw_valhalla.follow_setting_detail (setting_id, brand_id, type, detail_value, unit, group_id, yn,
                                               create_time, update_time)
VALUES (8, -1, 99, 1, 11, 2, 1, '2023-03-17 16:00:31', '2023-03-17 16:00:32');

# 统一设置待办时长[事故车除外]
INSERT INTO fw_valhalla.follow_setting_detail (setting_id, brand_id, type, detail_value, unit, group_id, yn,
                                               create_time, update_time)
VALUES (9, -1, 2, 36, 3, 1, 1, '2023-03-17 16:00:31', '2023-03-17 16:00:32');
INSERT INTO fw_valhalla.follow_setting_detail (setting_id, brand_id, type, detail_value, unit, group_id, yn,
                                               create_time, update_time)
VALUES (10, -1, 2, 36, 3, 2, 1, '2023-03-17 16:00:31', '2023-03-17 16:00:32');

# 转换率最低要求
INSERT INTO fw_valhalla.follow_setting_detail (setting_id, brand_id, type, detail_value, unit, group_id, yn,
                                               create_time, update_time)
VALUES (9, -1, 13, 2000, 9, 1, 1, '2023-03-17 16:00:31', '2023-03-17 16:00:32');
INSERT INTO fw_valhalla.follow_setting_detail (setting_id, brand_id, type, detail_value, unit, group_id, yn,
                                               create_time, update_time)
VALUES (10, -1, 13, 2000, 9, 2, 1, '2023-03-17 16:00:31', '2023-03-17 16:00:32');

# 公共池线索初始值
INSERT INTO fw_valhalla.follow_setting_detail (setting_id, brand_id, type, detail_value, unit, group_id, yn,
                                               create_time, update_time)
VALUES (9, -1, 14, 50, 10, 1, 1, '2023-03-17 16:00:31', '2023-03-17 16:00:32');
INSERT INTO fw_valhalla.follow_setting_detail (setting_id, brand_id, type, detail_value, unit, group_id, yn,
                                               create_time, update_time)
VALUES (10, -1, 14, 50, 10, 2, 1, '2023-03-17 16:00:31', '2023-03-17 16:00:32');


# 公共池线索增量
INSERT INTO fw_valhalla.follow_setting_detail (setting_id, brand_id, type, detail_value, unit, group_id, yn,
                                               create_time, update_time)
VALUES (9, -1, 15, 10, 10, 1, 1, '2023-03-17 16:00:31', '2023-03-17 16:00:32');
INSERT INTO fw_valhalla.follow_setting_detail (setting_id, brand_id, type, detail_value, unit, group_id, yn,
                                               create_time, update_time)
VALUES (10, -1, 15, 10, 10, 2, 1, '2023-03-17 16:00:31', '2023-03-17 16:00:32');


CREATE TABLE IF NOT EXISTS fw_valhalla.pub_stand_staff_info
(
    id                  bigint auto_increment comment 'pk'
        primary key,
    staff_name          varchar(255) null comment '人员名称',
    staff_id            bigint       not null comment '人员id',
    lining              tinyint(1)   not null comment '是否处于排队中',
    queueable           tinyint(1)   not null comment '可排队的',
    no_involved         tinyint(1)   not null comment '不参与分配',
    stand_type          int(3)       not null comment '站岗类型 1:公共池 2:活动',
    id_code             bigint       null comment '识别码 站岗类型为公共池类型时为空',
    stand_rang          int(3)       not null comment '站岗范围 1:本门店范围 2:区域范围',
    reason_of_no_lining varchar(255) null comment '不在队列原因',
    area_code           varchar(16)  not null comment '门店区域码',
    shop_id             bigint       not null comment '门店id',
    shop_name           varchar(255) null comment '门店名称',
    group_id            bigint       not null comment '集团id',
    create_time         datetime     not null,
    update_time         datetime     null,
    constraint pub_stand_staff_info_staff_id_group_id_uindex
        unique (staff_id, group_id) comment '集团用户'
)
    comment '公共池站岗配置';


alter table public_clue_pool
    add vin varchar(128) null comment '车架号' after customer_id;

# 数据处理
update public_clue_pool t1, customer t2
set t1.vin = ifnull(t2.frame_no, '')
where t1.vin is null
  and t2.yn = 1
  and t2.id = t1.customer_id;

alter table public_clue_pool
    modify vin varchar(128) not null comment '车架号';


# 公共池数据表调整
update public_pool t1, customer t2
set t1.frame_no = ifnull(t2.frame_no, '')
where t1.frame_no is null
  and t2.yn = 1
  and t2.id = t1.customer_id;

update public_pool t1
set t1.frame_no = concat_ws('-', t1.plate_no, t1.customer_id)
where t1.frame_no is null;

alter table public_pool
    modify frame_no varchar(64) not null comment '车架号';

alter table public_pool
    modify plate_no varchar(32) null comment '车牌号';

alter table public_pool
    modify shop_id bigint not null comment '最后所在服务站';

alter table public_pool
    modify shop_name varchar(128) null comment '最后所在服务站名';

create unique index public_pool_frame_no_group_id_uindex
    on public_pool (frame_no, group_id);


create table if not exists fw_valhalla.pub_clue_pool
(
    id            bigint auto_increment
        primary key,
    vin           varchar(128) not null comment '车架号',
    start_time    date         not null comment '开始时间',
    deadline      date         not null comment '转换截止时间',
    close_time    datetime     null comment '关闭时间',
    begun         tinyint(1)   null comment '是否已经开始',
    state         int(3)       not null comment '状态： 1、转换中 2、已转换 3、转换失败',
    source_type   int(5)       null comment '来源类型 1:公共池 2:公共池活动',
    adviser_id    bigint       not null comment '顾问id',
    adviser_name  varchar(32)  null comment '顾问名称',
    shop_id       bigint       not null comment '门店id',
    shop_name     varchar(128) null comment '门店名称',
    group_id      bigint       not null comment '集团id',
    defeat_reason int(3)       null comment '关单原因 1:主动放弃 2:进另一门店 3:角色变动战败 4:到期战败',
    create_time   datetime     null,
    update_time   datetime     null,
    constraint pub_clue_pool_customer_id_adviser_id_uindex
        unique (vin, adviser_id)
)
    comment '公共池线索跟进池';

create index pub_clue_pool_shop_id_index
    on pub_clue_pool (shop_id);
