package cn.fw.valhalla.dao.mapper;

import cn.fw.valhalla.domain.db.pub.PubCluePool;
import cn.fw.valhalla.domain.dto.FollowPoolDTO;
import cn.fw.valhalla.domain.query.FollowPoolQueryVO;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 公共池线索
 *
 * @author : kurisu
 * @version : 1.0
 * @className : PubCluePoolMapper
 * @description : 公共池线索
 * @date : 2023-03-20 10:34
 */
@Repository
public interface PubCluePoolMapper extends BaseMapper<PubCluePool> {
    /**
     * 跟进池
     *
     * @param startIndex
     * @param pageSize
     * @param queryVO
     * @return
     */
    List<FollowPoolDTO> followList(@Param("startIndex") Integer startIndex, @Param("pageSize") Integer pageSize, @Param("condition") FollowPoolQueryVO queryVO);

    /**
     * 查询跟进池总数
     *
     * @param queryVO
     * @return
     */
    Long followListCount(@Param("condition") FollowPoolQueryVO queryVO);
}
