package cn.fw.valhalla.domain.db.pub;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.PubStandType;
import cn.fw.valhalla.domain.enums.PublicClueStateEnum;
import cn.fw.valhalla.domain.enums.TaskDefeatTypeEnum;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 公共池线索
 *
 * @author : kurisu
 * @version : 1.0
 * @className : PubCluePool
 * @description : 公共池线索
 * @date : 2023-03-20 09:40
 */
@Data
public class PubCluePool extends BaseAuditableTimeEntity<PubCluePool, Long> {
    /**
     * 档案id
     */
    private String vin;
    /**
     * 开始时间
     */
    private LocalDate startTime;
    /**
     * 截止日期
     */
    private LocalDate deadline;
    /**
     * 关闭时间
     */
    private LocalDateTime closeTime;
    /**
     * 来源类型
     */
    private PubStandType sourceType;
    /**
     * 转换状态
     */
    private PublicClueStateEnum state;
    /**
     * 是否已经开始 【产生任务推送待办】
     */
    private Boolean begun;
    /**
     * 顾问id
     */
    private Long adviserId;
    /**
     * 顾问名称
     */
    private String adviserName;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 战败原因
     */
    private TaskDefeatTypeEnum defeatReason;
}
