package cn.fw.valhalla.domain.db.pub;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.valhalla.domain.enums.PubStandRang;
import cn.fw.valhalla.domain.enums.PubStandType;
import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : PubStandStaffInfo
 * @description : 公共池站岗人员配置信息
 * @date : 2023-03-10 15:53
 */
@Data
public class PubStandStaffInfo extends BaseAuditableTimeEntity<PubStandStaffInfo, Long> {
    /**
     * 人员名称
     */
    private String staffName;
    /**
     * 人员id
     */
    private Long staffId;
    /**
     * 是否处于排队中（即在队列中）
     */
    private Boolean lining;
    /**
     * 是否可站岗
     */
    private Boolean queueable;
    /**
     * 不参与【员工主动设置】
     */
    private Boolean noInvolved;
    /**
     * 站岗类型
     */
    private PubStandType standType;
    /**
     * 站岗标识码「活动类型为活动编号」
     */
    @TableField(updateStrategy = FieldStrategy.IGNORED)
    private Long idCode;
    /**
     * 站岗范围
     */
    private PubStandRang standRang;
    /**
     * 停止排队的原因
     */
    private String reasonOfNoLining;
    /**
     * 门店地区编号
     */
    private String areaCode;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 集团id
     */
    private Long groupId;
}
