package cn.fw.valhalla.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;

/**
 * 公共池站岗范围
 *
 * @author : kurisu
 * @version : 1.0
 * @className : PubStandRang
 * @description : 公共池站岗范围
 * @date : 2023-03-10 11:25
 */
public enum PubStandRang implements IEnum<Integer> {
    /**
     * 本门店
     */
    SHOP(1),
    /**
     * 区域 不含本门店
     */
    AREA(2),
    ;

    /**
     * 值
     */
    private final Integer value;

    PubStandRang(Integer value) {
        this.value = value;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static PubStandRang ofValue(final Integer value) {
        for (final PubStandRang typeEnum : PubStandRang.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }
}
