package cn.fw.valhalla.domain.enums;

import com.baomidou.mybatisplus.core.enums.IEnum;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;

/**
 * 公共池站岗类型
 *
 * @author : kurisu
 * @version : 1.0
 * @className : PubStandType
 * @description : 公共池站岗类型
 * @date : 2023-03-10 11:25
 */
public enum PubStandType implements IEnum<Integer> {
    /**
     * 公共池
     */
    PUB(1),
    /**
     * 市场活动
     */
    ACTIVITY(2),
    /**
     * 续保
     */
    IR(3),
    /**
     * 事故车
     */
    AC(4),
    ;

    /**
     * 值
     */
    private final Integer value;

    PubStandType(Integer value) {
        this.value = value;
    }

    /**
     * 根据枚举值获取枚举对象
     */
    @JsonCreator
    public static PubStandType ofValue(final Integer value) {
        for (final PubStandType typeEnum : PubStandType.values()) {
            if (typeEnum.value.equals(value)) {
                return typeEnum;
            }
        }
        return null;
    }

    /**
     * 获取值
     *
     * @return 值
     */
    @JsonValue
    @Override
    public Integer getValue() {
        return value;
    }
}
