package cn.fw.valhalla.domain.vo.pool;

import cn.fw.valhalla.domain.db.pub.PubCluePool;
import cn.fw.valhalla.domain.enums.PubStandType;
import lombok.Data;

import java.time.LocalDate;

/**
 * 公共池分配线索
 *
 * @author : kurisu
 * @version : 2.0
 * @className : PubPoolSimpleVO
 * @description : 公共池分配线索
 * @date : 2023-04-12 17:00
 */
@Data
public class PubPoolSimpleVO {
    private Long id;
    /**
     * 档案id
     */
    private String vin;
    /**
     * 车牌号
     */
    private String plateNo;
    /**
     * 车辆名称
     */
    private String carName;
    /**
     * 分配时间
     */
    private LocalDate startTime;
    /**
     * 来源类型
     */
    private PubStandType sourceType;
    /**
     * 集团id
     */
    private Long groupId;

    public static PubPoolSimpleVO with(PubCluePool pool) {
        PubPoolSimpleVO vo = new PubPoolSimpleVO();
        vo.setId(pool.getId());
        vo.setVin(pool.getVin());
        vo.setStartTime(pool.getStartTime());
        vo.setSourceType(pool.getSourceType());
        vo.setGroupId(pool.getGroupId());
        return vo;
    }
}
