package cn.fw.valhalla.domain.vo.pool;

import cn.fw.valhalla.domain.enums.PubStandRang;
import cn.fw.valhalla.domain.enums.PubStandType;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 公共池站岗
 *
 * @author : kurisu
 * @version : 2.0
 * @className : PubStandVO
 * @description : 公共池站岗
 * @date : 2023-04-12 15:17
 */
@Data
public class PubStandVO {
    private Long id;
    /**
     * 是否处于排队中（即在队列中）
     */
    private Boolean lining;
    /**
     * 是否可站岗
     */
    private Boolean queueable;
    /**
     * 不参与【员工主动设置】
     */
    private Boolean noInvolved;
    /**
     * 站岗类型
     */
    private PubStandType standType;
    /**
     * 站岗标识码「活动类型为活动编号」
     */
    private Long idCode;
    /**
     * 站岗范围
     */
    private PubStandRang standRang;
    /**
     * 停止排队的原因
     */
    private String reasonOfNoLining;

    /**
     * 初始线索数
     */
    private Integer initNum;
    /**
     * 增量数量
     */
    private Integer increaseCount;
    /**
     * 转化率要求
     */
    private BigDecimal ratio;
    /**
     * 门店id
     */
    private Long shopId;
}
