package cn.fw.valhalla.rpc.shirasawa.dto;

import cn.fw.shirasawa.sdk.enums.BusinessTypeEnum;
import cn.fw.shirasawa.sdk.enums.DataTypeEnum;
import cn.fw.shirasawa.sdk.enums.TerminationReason;
import lombok.Data;
import lombok.ToString;

import java.util.Date;

/**
 * @author : kurisu
 * @className : ClueStopDTO
 * @description : 线索完成DTO
 * @date: 2022-01-12 16:09
 */
@Data
@ToString
public class ClueStopDTO {
    /**
     * 数据类型
     */
    private DataTypeEnum type;
    /**
     * 业态类型
     */
    private BusinessTypeEnum businessType;
    /**
     * 业务id [clueId]
     */
    private String detailId;
    /**
     * 门店id
     */
    private Long shopId;
    /**
     * 完成时间
     */
    private Date completeTime;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 门店名称
     */
    private String shopName;
    /**
     * 人员id
     */
    private Long userId;
    /**
     * 人员名称
     */
    private String userName;
    /**
     * 是否主动终止
     */
    private boolean termination;
    /**
     * 任务终止原因
     */
    private TerminationReason reason;
}