package cn.fw.valhalla.sdk.param;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Collections;
import java.util.List;

/**
 * 查询线索截止日期参数
 *
 * @author : kurisu
 * @version : 2.0
 * @className : ClueDeadlineParams
 * @description : 查询线索截止日期参数
 * @date : 2023-04-28 16:40
 */
@Data
public class ClueDeadlineParams {
    @NotNull(message = "集团id不能为空")
    private Long groupId;
    @NotEmpty(message = "vin不能为空")
    @Size(min = 1, max = 1000, message = "最大支持一次性查询1000条数据")
    private List<String> vinList;

    public void setVinList(final List<String> vinList) {
        this.vinList = vinList;
    }

    public void setVin(final String vin) {
        this.vinList = Collections.singletonList(vin);
    }
}
