package cn.fw.valhalla.sdk.result;

import lombok.Data;

import java.time.Duration;
import java.util.Date;
import java.util.Objects;

/**
 * 客户线索截止时间
 *
 * @author : kurisu
 * @version : 1.0
 * @className : CustomerClueDeadline
 * @description : 客户线索截止时间
 * @date : 2023-04-27 16:51
 */
@Data
public class CustomerClueDeadline {
    /**
     * vin
     */
    private String vin;
    /**
     * 线索截止时间
     */
    private Date deadline;
    /**
     * 跟进待办时长
     */
    private Duration followDuration;

    private boolean hasClue() {
        return Objects.nonNull(deadline);
    }
}
