package cn.fw.valhalla.controller.runner;

import cn.fw.valhalla.service.bus.pub.PubStandBizService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

/**
 * 初始化同步逻辑
 *
 * @author : kurisu
 * @version : 1.0
 * @className : InitCommandLineRunner
 * @description : 初始化同步逻辑
 * @date : 2022-05-09 15:22
 */
@Component
@Slf4j
@RequiredArgsConstructor
public class InitCommandLineRunner implements CommandLineRunner {
    private final PubStandBizService pubStandBizService;

    @Override
    public void run(String... args) {
        log.info("项目启动成功，开始同步公共池站岗队列");
        pubStandBizService.syncQueue();
    }
}
