package cn.fw.valhalla.controller.wx;

import cn.fw.common.web.annotation.ControllerMethod;
import cn.fw.common.web.auth.PassportAuthBean;
import cn.fw.common.web.auth.annotation.CurrentUser;
import cn.fw.data.base.domain.common.Message;
import cn.fw.security.auth.client.annotation.Authorization;
import cn.fw.security.auth.client.enums.AuthType;
import cn.fw.valhalla.domain.vo.customer.MemberVehicleVO;
import cn.fw.valhalla.service.bus.cust.MemberVehicleBizService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

import static cn.fw.data.base.domain.common.Message.success;

/**
 * 查询是否
 *
 * @author : xiatian
 * @date: 2022-06-06 15:00
 */
@Slf4j
@Validated
@RestController
@RequiredArgsConstructor
@Authorization(AuthType.WECHAT)
@RequestMapping("/wx/vehicle")
public class VehicleWxController {
    private final MemberVehicleBizService memberVehicleBizService;

    /**
     * 查询认证车辆
     *
     * @param user
     * @return
     */
    @GetMapping("/list")
    @ControllerMethod("查询所有认证车辆")
    public Message<List<MemberVehicleVO>> vehicleList(@CurrentUser PassportAuthBean user) {
        return success(memberVehicleBizService.getVehicleList(user.getUserId()));
    }
}
