package cn.fw.valhalla.component.producer;

import cn.fw.valhalla.sdk.result.ClueChangeResult;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.spring.core.RocketMQTemplate;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @author kurisu
 */
@Slf4j
@Component
public class ClueChangeProducer {
    @Autowired
    private RocketMQTemplate rocketMQTemplate;

    @RequestMapping(value = "send")
    public void send(ClueChangeResult clueChangeResult) {
        try {
            log.info("售后跟进线索变更mq: body:[{}]", clueChangeResult);
            rocketMQTemplate.syncSend(ClueChangeResult.TOPIC + ":*", clueChangeResult);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}