package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.follow.ClueTask;
import cn.fw.valhalla.domain.dto.FollowPoolDTO;
import cn.fw.valhalla.domain.dto.ShouldBeCompletedDTO;
import cn.fw.valhalla.domain.enums.FollowTypeEnum;
import cn.fw.valhalla.domain.query.BeCompletedQuery;
import cn.fw.valhalla.domain.query.FollowPoolQueryVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 线索任务
 *
 * @author : kurisu
 * @version : 1.0
 * @className : ClueTaskService
 * @description : 线索任务
 * @date : 2022-07-22 17:58
 */
public interface ClueTaskService extends IService<ClueTask> {

    /**
     * 跟进线索id查询进行中的线索任务
     *
     * @param clueId
     * @param followType
     * @return
     */
    ClueTask queryOngoingTaskByClueId(Long clueId, FollowTypeEnum followType);

    /**
     * 跟进池查询
     *
     * @param queryVO
     * @return
     */
    List<FollowPoolDTO> followList(FollowPoolQueryVO queryVO);

    /**
     * 跟进池查询总数
     *
     * @param queryVO
     * @return
     */
    long followListCount(FollowPoolQueryVO queryVO);

    /**
     * 查询应成交数据
     *
     * @param query
     * @return
     */
    List<ShouldBeCompletedDTO> queryShouldBeCompleted(BeCompletedQuery query);
}
