package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.follow.FollowClue;
import cn.fw.valhalla.domain.dto.FollowClueDTO;
import cn.fw.valhalla.domain.query.CustomerCluePoolQueryVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 线索任务
 *
 * @author : kurisu
 * @version : 1.0
 * @className : FollowClueService
 * @description : 跟进线索
 * @date : 2022-07-22 17:58
 */
public interface FollowClueService extends IService<FollowClue> {
    /**
     * 查询客户线索池
     *
     * @param queryVO
     * @return
     */
    List<FollowClueDTO> clueList(CustomerCluePoolQueryVO queryVO);

    /**
     * 总数
     * @param queryVO
     * @return
     */
    Long clueListCount(CustomerCluePoolQueryVO queryVO);

    /**
     * 成交数
     * @param queryVO
     * @return
     */
    Long completeNum(CustomerCluePoolQueryVO queryVO);

    /**
     * 战败数
     * @param queryVO
     * @return
     */
    Long defeatNum(CustomerCluePoolQueryVO queryVO);

    /**
     * 进行中的数量
     * @param queryVO
     * @return
     */
    Long onGoingNum(CustomerCluePoolQueryVO queryVO);
}
