package cn.fw.valhalla.service.data;

import cn.fw.valhalla.domain.db.pub.PubStandStaffInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Optional;


/**
 * 公共池站岗人员配置
 *
 * @author : kurisu
 * @version : 1.0
 * @className : PubStandStaffInfoService
 * @description : 公共池站岗人员配置
 * @date : 2023-03-10 11:43
 */
public interface PubStandStaffInfoService extends IService<PubStandStaffInfo> {
    /**
     * 查询站岗中的人员
     *
     * @param groupId
     * @return
     */
    List<PubStandStaffInfo> queryLiningStaff(final Long groupId);

    /**
     * 通过人员id和集团查询信息
     *
     * @param staffId
     * @param groupId
     * @return
     */
    Optional<PubStandStaffInfo> queryStaffByGroupId(final Long staffId, final Long groupId);
}