package cn.fw.valhalla.service.data.impl;

import cn.fw.valhalla.dao.mapper.PubStandStaffInfoMapper;
import cn.fw.valhalla.domain.db.pub.PubStandStaffInfo;
import cn.fw.valhalla.service.data.PubStandStaffInfoService;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Optional;


/**
 * 公共池人员配置
 *
 * @author : kurisu
 * @version : 1.0
 * @className : PubStandStaffInfoServiceImpl
 * @description : 公共池人员配置
 * @date : 2023-03-10 11:44
 */
@Service
public class PubStandStaffInfoServiceImpl extends ServiceImpl<PubStandStaffInfoMapper, PubStandStaffInfo> implements PubStandStaffInfoService {

    @Override
    public List<PubStandStaffInfo> queryLiningStaff(Long groupId) {
        return list(Wrappers.<PubStandStaffInfo>lambdaQuery()
                .eq(PubStandStaffInfo::getQueueable, Boolean.TRUE)
                .eq(PubStandStaffInfo::getNoInvolved, Boolean.FALSE)
                .eq(PubStandStaffInfo::getLining, Boolean.TRUE)
                .eq(PubStandStaffInfo::getGroupId, groupId)
        );
    }

    @Override
    public Optional<PubStandStaffInfo> queryStaffByGroupId(Long staffId, Long groupId) {
        PubStandStaffInfo info = getOne(Wrappers.<PubStandStaffInfo>lambdaQuery()
                .eq(PubStandStaffInfo::getStaffId, staffId)
                .eq(PubStandStaffInfo::getGroupId, groupId)
        );
        return Optional.ofNullable(info);
    }
}